declare class MidiService {
    private _midiInput;
    private _midiOutput;
    private _midiIn;
    private _midiOut;
    constructor(midiIn: string, midiOut: string);
    private get midiError();
    private openOutput;
    private closeOutput;
    get out(): any;
    get in(): any;
    closeAll(): void;
}

declare class LaunchpadCore {
    static readonly drivers: {
        [key: string]: any;
    };
    private static _devicesInstance;
    readonly _instance: MidiService;
    readonly _driver: any;
    private callbacks;
    constructor(driverName: string);
    private onEnabled;
    private onDisabled;
    /**
     * Events
     */
    private handleEvent;
    on(event: 'onMidiIn', callback: (data: any) => void): void;
    on(event: 'onConnected', callback: (instance: MidiService, driver: any) => void): void;
    on(event: 'onDisabled', callback: (instance: MidiService, driver: any) => void): void;
    /**
     * Get instance of the Launchpad (MidiService)
     */
    get instance(): MidiService;
    /**
     * Get driver of the Launchpad
     */
    get driver(): any;
}

export { LaunchpadCore };
